@font-face {
  src: url("https://assets.codepen.io/2479807/gilroy-regular.ttf");
  font-family: "Gilroy";
}
@font-face {
  src: url("https://assets.codepen.io/2479807/gilroy-semibold.woff2");
  font-family: "Gilroy Semi-Bold";
}
html {
  font-size: 62.5%;
  box-sizing: border-box;
}

*,
*:after,
*:before {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
  outline: none;
  cursor: none;
}

img,
embed,
iframe,
object,
video {
  display: block;
  max-width: 100%;
  border-style: none;
}

input,
textarea,
select,
button {
  color: inherit;
  font: inherit;
  letter-spacing: inherit;
  border: none;
  background: none;
}

:root {
  --primary-color: #fcead3;
  --secondary-color: #f8af8b;
  --secondary-light: #FEF6EC;
  --secondary-medium: #FCE3C5;
  --button-hover-color: #ffccb6;
  --text-color-dark: #211c4d;
  --paragraph-color: #605d7b;
  --text-color-light: #fff;
  --background-color: #fff;
  --gradient-left: #FEF6EC;
  --gradient-right: #FBC9B2;
}

.dark-mode {
  --primary-color: #826AB4;
  --secondary-color: #C5BBDD;
  --button-hover-color: #ffccb6;
  --text-color-dark: #fff;
  --text-color-light: #211c4d;
  --background-color: #211c4d;
  --gradient-left: #F1F0FA;
  --gradient-right: #ABA5DF;
}
.dark-mode .button {
  color: var(--text-color-light);
}

body {
  display: grid;
  place-items: center;
  background: linear-gradient(to right, var(--gradient-left), var(--gradient-right));
  padding: 5vw;
  font-family: "Gilroy", sans-serif;
  font-size: 1.6rem;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  line-height: 1.5;
  color: var(--text-color-dark);
  transition: 0.5s ease background;
  cursor: none;
}

.button {
  padding: 1.6rem 3.2rem;
  background-color: var(--secondary-color);
  color: var(--text-color-light);
  font-size: 1.2rem;
  font-family: "Gilroy Semi-Bold";
  text-transform: uppercase;
  letter-spacing: 1px;
  border-radius: 10rem;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.5s ease background;
}
.button:hover {
  background: var(--button-hover-color);
}
.button svg {
  fill: var(--text-color-light);
  transition: 0.5s ease fill;
}
.button__text {
  position: relative;
}
.button__text > span:first-child {
  margin-right: 8px;
}
.button__text > span {
  display: block;
  position: relative;
  top: 0;
  left: 0;
}

.dark-mode-toggle:hover path {
  fill: var(--button-hover-color);
}
.dark-mode-toggle path {
  fill: var(--secondary-color);
  transition: 0.5s ease fill;
}

.app {
  position: relative;
  height: 80rem;
  width: 37rem;
  border-radius: 4rem;
  padding: 2.4rem;
  background: var(--background-color);
  overflow: hidden;
  transition: 0.5s ease background, 0.5s ease color;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.02), 0 2px 4px rgba(0, 0, 0, 0.02), 0 4px 8px rgba(0, 0, 0, 0.02), 0 8px 16px rgba(0, 0, 0, 0.02), 0 16px 32px rgba(0, 0, 0, 0.02), 0 32px 64px rgba(0, 0, 0, 0.02);
}
.app__wrapper {
  height: 100%;
  transform: translateY(-260px);
}
.app__video {
  padding: 1.6rem 0;
  transform: translateY(-340px);
}
.app__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.app__title {
  display: flex;
  align-items: center;
  font-family: "Gilroy Semi-Bold";
  font-size: 1.2rem;
  letter-spacing: 0.05em;
}
.app__logo {
  display: inline-block;
  width: 2rem;
  height: 2rem;
  background: var(--primary-color);
  clip-path: polygon(25% 0%, 100% 0, 100% 100%, 25% 100%, 60% 50%);
  margin-right: 8px;
}
.app__svg {
  width: 70rem;
  position: absolute;
  right: 0;
  top: 50%;
  transform: translate(60%, -50%);
  z-index: 0;
  pointer-events: none;
}
.app__svg path {
  fill: var(--primary-color);
  transition: 0.5s ease fill;
}
.app__content {
  position: relative;
  transform: translateY(18rem);
  z-index: 1;
}
.app__text {
  font-family: "Gilroy Semi-Bold";
  font-size: 2.4rem;
  margin-bottom: 2.4rem;
}
.app__text span {
  display: block;
}
.app__cards {
  position: absolute;
  top: 0px;
}
.app__card {
  visibility: hidden;
  opacity: 0;
  background: var(--secondary-light);
  padding: 1.6rem;
  font-size: 1.4rem;
  letter-spacing: 0.03em;
  border-radius: 16px;
  margin-bottom: 3.2rem;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.02), 0 2px 4px rgba(0, 0, 0, 0.02), 0 4px 8px rgba(0, 0, 0, 0.02), 0 8px 16px rgba(0, 0, 0, 0.02), 0 16px 32px rgba(0, 0, 0, 0.02), 0 32px 64px rgba(0, 0, 0, 0.02);
  transition: 0.2s ease background;
}
.app__card:hover {
  background: var(--secondary-medium);
}
.app__card:hover .play-icon {
  transform: scale(1.1);
}
.app__card--disabled {
  filter: grayscale(100%);
}
.app__card__content {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.app__card__title {
  margin-bottom: 8px;
  font-size: 1.4rem;
  color: #211c4d;
}
.app__card__text {
  color: var(--paragraph-color);
}
.app__card .play-button {
  width: 8rem;
  margin-left: 1.6rem;
}
.app__card .play-icon {
  transform-origin: center;
  transition: transform 0.2s ease;
}

.text-item {
  position: relative;
}
.text-item > span {
  position: absolute;
  top: 0;
  left: 0;
}

.cursor {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background: rgba(0, 0, 0, 0.5);
  border-radius: 100px;
  z-index: 99;
  transform: translate(-50%, -50%);
  pointer-events: none;
}